Skip to main content
API referenceOperations

Source Health

Last updated

GET
/api/v1/source-health

Fetch upstream source health.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/source-health"
{  "data": {    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "notes": "Example description.",    "providers": [      {        "authority": "official",        "candidate_count": 1,        "classifications": {},        "endpoint_count": 1,        "id": "example",        "kind": "subnet-team",        "name": "Example Subnet",        "rpc_endpoint_count": 1,        "status": "ok",        "verification_result_count": 1      }    ],    "schema_version": 1,    "source": "generated-provider-and-verification-summary",    "summary": {      "candidate_count": 1,      "endpoint_count": 1,      "provider_count": 1,      "rpc_endpoint_count": 1,      "status_counts": {},      "verification_result_count": 1    }  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}